import { ISchema } from 'validall/schema';
export interface IRouteOptions {
    name?: string;
    path?: string;
    method?: 'GET' | 'POST' | 'PATCH' | 'PUT' | 'DELETE' | 'HEAD' | 'OPTIONS' | 'ALL';
    inputType?: string;
    outputType?: string;
    inputSchema?: ISchema;
    querySchema?: ISchema;
    outputSchema?: ISchema;
    bodyQuota?: number;
    codes?: number[];
    authorization?: {
        enabled: boolean;
        skipOrigins?: string[];
    };
}
export declare function ROUTE(options?: IRouteOptions): (target: any, property: string, descriptor: PropertyDescriptor) => void;
export interface IMiddlewareOptions {
    path?: string;
    inputType?: string;
    inputSchema?: ISchema;
    querySchema?: ISchema;
    codes?: number[];
    authorization?: {
        enabled: boolean;
        skipOrigins?: string[];
    };
}
export declare function MIDDLEWARE(options?: IMiddlewareOptions): (target: any, property: string, descriptor: PropertyDescriptor) => void;
export interface IContract {
    name: string;
    path: string;
    protocol?: string;
    hostname?: string;
    port?: number;
}
