"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function ROUTE(options) {
    return (target, property, descriptor) => {
        target._routes = target._routes || {};
        options = options || {};
        options.name = options.name || property;
        options.method = options.method || 'GET';
        options.outputType = options.outputType || 'application/json';
        options.codes = options.codes || [200, 520];
        options.authorization = options.authorization || { enabled: false };
        options.authorization.enabled && (options.authorization.skipOrigins = options.authorization.skipOrigins || []);
        target._routes[property] = options;
        options.path = options.path
            ? ('/' + options.path).replace(/\/{2,}/g, '/')
            : '/' + (property.toLowerCase() === 'main'
                ? ''
                : property.toLowerCase());
    };
}
exports.ROUTE = ROUTE;
function MIDDLEWARE(options) {
    return (target, property, descriptor) => {
        target._middlewares = target._middlewares || {};
        options = options || {};
        options.codes = options.codes || [200, 520];
        options.authorization = options.authorization || { enabled: false };
        options.authorization.enabled && (options.authorization.skipOrigins = options.authorization.skipOrigins || []);
        target._middlewares[property] = options;
    };
}
exports.MIDDLEWARE = MIDDLEWARE;
//# sourceMappingURL=contract.js.map