import * as express from 'express';
import { IContract, IMiddlewareOptions, IRouteOptions } from "./contract";
import { Logger } from "./logger";
export interface IService {
    _contract: IContract;
    _routes: {
        [key: string]: IRouteOptions;
    };
    _middlewares: {
        [key: string]: IMiddlewareOptions;
    };
    env: string;
    logger: Logger;
    bodyQuota: number;
    authorize(route: string): (req: express.Request, res: express.Response, next?: express.NextFunction) => void;
    error(message: string, original?: any, code?: string): any;
}
export interface IServiceEvents {
    onInit?: (app: express.Express) => void;
    onRunning?: () => void;
    onRequest?: (req: express.Request, res: express.Response, next: express.NextFunction) => void;
    onInvalidRoute?: (req: express.Request, res: express.Response, next: express.NextFunction) => void;
    onError?: (err: any, req: express.Request, res: express.Response) => void;
}
