"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const http = require("http");
class Server {
    constructor(options, logger) {
        this.app = express();
        this.server = http.createServer(this.app);
        this.port = options.port;
        this.hostname = options.hostname;
        this.protocol = options.protocol;
        this.logger = logger;
    }
    run(callback) {
        this.server.listen(this.port, this.hostname, () => {
            this.logger.info(`service is running on port: ${this.port} - env: ${process.env.NODE_ENV} - pid: ${process.pid}`);
            callback();
        });
    }
}
exports.Server = Server;
//# sourceMappingURL=server.js.map